/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreValuelistJsonb;

import org.jooq.JSONB;
import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreValuelistJsonbRecord extends TableRecordImpl<VCoreValuelistJsonbRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_valuelist_jsonb.jsonb_agg</code>.
     */
    public void setJsonbAgg(JSONB value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_jsonb.jsonb_agg</code>.
     */
    public JSONB getJsonbAgg() {
        return (JSONB) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_jsonb.list</code>.
     */
    public void setList(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_jsonb.list</code>.
     */
    public Integer getList() {
        return (Integer) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreValuelistJsonbRecord
     */
    public VCoreValuelistJsonbRecord() {
        super(VCoreValuelistJsonb.V_CORE_VALUELIST_JSONB);
    }

    /**
     * Create a detached, initialised VCoreValuelistJsonbRecord
     */
    public VCoreValuelistJsonbRecord(JSONB jsonbAgg, Integer list) {
        super(VCoreValuelistJsonb.V_CORE_VALUELIST_JSONB);

        setJsonbAgg(jsonbAgg);
        setList(list);
        resetChangedOnNotNull();
    }
}
